WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/April 2012/10 Apr 2012

Ospreys Open Training at Kenfig Hill RFC.

23 photographs Huw Evans Agency Tuesday
Prints from £8 Order prints
100412-Ospreys Open Training Kenfig Hill RFCShane Williams signing autographs for fans 001
CDF_100412_Ospreys_Training01.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFCShane Williams signing autographs for fans
100412-Ospreys Open Training Kenfig Hill RFCShane Williams signing autographs for fans 002
CDF_100412_Ospreys_Training02.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFCShane Williams signing autographs for fans
100412-Ospreys Open Training Kenfig Hill RFCShane Williams signing autographs for fans 003
CDF_100412_Ospreys_Training03.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFCShane Williams signing autographs for fans
100412-Ospreys Open Training Kenfig Hill RFCShane Williams signing autographs for fans 004
CDF_100412_Ospreys_Training04.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFCShane Williams signing autographs for fans
100412-Ospreys Open Training Kenfig Hill RFCShane Williams ,PaulJames and Ashley Beck signing autographs for fans 005
CDF_100412_Ospreys_Training05.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFCShane Williams ,PaulJames and Ashley Beck signing autographs for fans
100412-Ospreys Open Training Kenfig Hill RFCAdam Jones signing for fans 006
CDF_100412_Ospreys_Training06.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFCAdam Jones signing for fans
100412-Ospreys Open Training Kenfig Hill RFCIan Evans signing for fans 007
CDF_100412_Ospreys_Training07.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFCIan Evans signing for fans
100412-Ospreys Open Training Kenfig Hill RFC Justin Tipuric and fans 008
CDF_100412_Ospreys_Training08.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC Justin Tipuric and fans
100412-Ospreys Open Training Kenfig Hill RFCIan Gough signs for fans 009
CDF_100412_Ospreys_Training09.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFCIan Gough signs for fans
100412-Ospreys Open Training Kenfig Hill RFCPaul James signing for fans 010
CDF_100412_Ospreys_Training10.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFCPaul James signing for fans
100412-Ospreys Open Training Kenfig Hill RFC 011
CDF_100412_Ospreys_Training11.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 012
CDF_100412_Ospreys_Training12.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 013
CDF_100412_Ospreys_Training13.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 014
CDF_100412_Ospreys_Training14.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 015
CDF_100412_Ospreys_Training15.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 016
CDF_100412_Ospreys_Training16.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 017
CDF_100412_Ospreys_Training17.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 018
CDF_100412_Ospreys_Training18.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 019
CDF_100412_Ospreys_Training19.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 020
CDF_100412_Ospreys_Training20.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 021
CDF_100412_Ospreys_Training21.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 022
CDF_100412_Ospreys_Training22.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC
100412-Ospreys Open Training Kenfig Hill RFC 023
CDF_100412_Ospreys_Training23.jpg · Huw Evans Agency100412-Ospreys Open Training Kenfig Hill RFC

More from around this date

Thu 12 AprWRU Rugby Stars Camp Thu 12 AprSWALEC Cup Semi Finals Photocall Thu 12 AprWRU Rugby Stars Camp Sun 8 AprMunster 16-22 Ulster Fri 13 AprNewport-Gwent Dragons 32-33 Benetton Treviso Sat 7 AprShotton Steel v Llangollen Sat 7 AprDolgellau v COBRA Sat 7 AprLeinster 34-3 Blues
Ospreys Open Training at Kenfig Hill RFC. · 10 Apr 2012
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured